#!/bin/sh

PREFIX=$1
STAGEDIR=$2
MODULE_VERSION=$3
DELEGATION_VERSION=$4

if [ ! -e ${STAGEDIR}/interface ]; then mkdir -p ${STAGEDIR}/interface; fi

sed -e "s/org\.glite\.ce-mon_/org.glite.ce-monitor_/g"\;"s/\.wsdl/-${MODULE_VERSION}.wsdl/g"  interface/org.glite.ce-mon_service.wsdl > ${STAGEDIR}/interface/org.glite.ce-monitor_service-${MODULE_VERSION}.wsdl
cp interface/org.glite.ce-mon_types.wsdl ${STAGEDIR}/interface/org.glite.ce-monitor_types-${MODULE_VERSION}.wsdl
cp interface/org.glite.ce-faults.xsd ${STAGEDIR}/interface/org.glite.ce-faults-${MODULE_VERSION}.xsd
sed -e "s/\.wsdl/-${MODULE_VERSION}.wsdl/g"\;"s/\.xsd/-${MODULE_VERSION}.xsd/g" interface/org.glite.ce-mon_faults.wsdl > ${STAGEDIR}/interface/org.glite.ce-monitor_faults-${MODULE_VERSION}.wsdl
sed -e "s/org\.glite\.ce-mon_/org.glite.ce-monitor_/g"\;"s/\.wsdl/-${MODULE_VERSION}.wsdl/g" interface/org.glite.ce-mon_consumer_service.wsdl > ${STAGEDIR}/interface/org.glite.ce-monitor_consumer_service-${MODULE_VERSION}.wsdl
sed -e "s/\.wsdl/-${MODULE_VERSION}.wsdl/g"\;"s/org\.glite\.security-delegation-[0-9]*\.[0-9]*\.[0-9]*/www.gridsite.org-delegation-${DELEGATION_VERSION}/g" interface/org.glite.ce-cream_service.wsdl > ${STAGEDIR}/interface/org.glite.ce-cream_service-${MODULE_VERSION}.wsdl
sed -e "s/\.wsdl/-${MODULE_VERSION}.wsdl/g"\;"s/org\.glite\.security-delegation-[0-9]*\.[0-9]*\.[0-9]*/www.gridsite.org-delegation-${DELEGATION_VERSION}/g" interface/org.glite.ce-cream2_service.wsdl > ${STAGEDIR}/interface/org.glite.ce-cream2_service-${MODULE_VERSION}.wsdl
cp interface/org.glite.ce-cream_types.wsdl ${STAGEDIR}/interface/org.glite.ce-cream_types-${MODULE_VERSION}.wsdl
sed -e "s/\.wsdl/-${MODULE_VERSION}.wsdl/g"\;"s/\.xsd/-${MODULE_VERSION}.xsd/g" interface/org.glite.ce-cream_faults.wsdl > ${STAGEDIR}/interface/org.glite.ce-cream_faults-${MODULE_VERSION}.wsdl
cp interface/org.glite.ce-faults.xsd ${STAGEDIR}/interface/org.glite.ce-faults-${MODULE_VERSION}.xsd
#sed -e "s/faults\.xsd/faults-${MODULE_VERSION}.xsd/g" interface/org.glite.ce-configuration.wsdl > ${STAGEDIR}/interface/org.glite.ce-configuration-${MODULE_VERSION}.wsdl
#sed -e "s/faults\.xsd/faults-${MODULE_VERSION}.xsd/g" interface/org.glite.ce-lifecycle.wsdl > ${STAGEDIR}/interface/org.glite.ce-lifecycle-${MODULE_VERSION}.wsdl
#sed -e "s/faults\.xsd/faults-${MODULE_VERSION}.xsd/g" interface/org.glite.ce-cream2_service.wsdl > ${STAGEDIR}/interface/org.glite.ce-cream2_service-${MODULE_VERSION}.wsdl
cp interface/www.gridsite.org-delegation-2.0.0.wsdl ${STAGEDIR}/interface/

mkdir -p ${PREFIX}/share/wsdl 2>/dev/null
cp ${STAGEDIR}/interface/org.glite.ce-monitor_service-${MODULE_VERSION}.wsdl ${PREFIX}/share/wsdl
cp ${STAGEDIR}/interface/org.glite.ce-monitor_types-${MODULE_VERSION}.wsdl ${PREFIX}/share/wsdl
cp ${STAGEDIR}/interface/org.glite.ce-faults-${MODULE_VERSION}.xsd ${PREFIX}/share/wsdl
cp ${STAGEDIR}/interface/org.glite.ce-monitor_faults-${MODULE_VERSION}.wsdl ${PREFIX}/share/wsdl
cp ${STAGEDIR}/interface/org.glite.ce-monitor_consumer_service-${MODULE_VERSION}.wsdl ${PREFIX}/share/wsdl
cp ${STAGEDIR}/interface/org.glite.ce-cream_service-${MODULE_VERSION}.wsdl ${PREFIX}/share/wsdl
cp ${STAGEDIR}/interface/org.glite.ce-cream_types-${MODULE_VERSION}.wsdl ${PREFIX}/share/wsdl
cp ${STAGEDIR}/interface/org.glite.ce-cream_faults-${MODULE_VERSION}.wsdl ${PREFIX}/share/wsdl
cp ${STAGEDIR}/interface/org.glite.ce-faults-${MODULE_VERSION}.xsd ${PREFIX}/share/wsdl
cp ${STAGEDIR}/interface/org.glite.ce-cream2_service-${MODULE_VERSION}.wsdl ${PREFIX}/share/wsdl
cp ${STAGEDIR}/interface/www.gridsite.org-delegation-2.0.0.wsdl ${PREFIX}/share/wsdl


